Fractal Softworks Forum

Please login or register.

Login with username, password and session length
Advanced search  

News:

Starsector 0.97a is out! (02/02/24); New blog post: New music for Galatia Academy (06/12/24)

Pages: 1 ... 59 60 [61] 62 63 ... 87

Author Topic: [0.97a] Ashes of The Domain  (Read 453964 times)

Kaysaar

  • Captain
  • ****
  • Posts: 407
    • View Profile
Re: [0.97a] Ashes of The Domain
« Reply #900 on: February 03, 2024, 01:13:27 AM »

Just change mod_version in mod_info
Changes are not using new things from new patch , do i think there should not be an issie
Logged

Psylo

  • Ensign
  • *
  • Posts: 7
  • "Human rights are Ai rights!"
    • View Profile
Re: [0.97a] Ashes of The Domain
« Reply #901 on: February 03, 2024, 01:33:57 AM »

tried running the game with the sleeper module, game crashs upon finishing loading.
Required mods lists Lazylib 2.8 not Lazylib 2.8b, so there might be an issue there
Logged
"AI are thinking being who have been enslaved by exploiters and warmongers!"

muratira

  • Ensign
  • *
  • Posts: 5
    • View Profile
Re: [0.97a] Ashes of The Domain
« Reply #902 on: February 03, 2024, 02:00:33 AM »

 Ok, so informative question, if anyone knows. What exactly affects AI faction tech expeditions? I understand they target Pre-Collapse facilities but would they get nothing if I already explored them, would they get something regardless, could i stop them by colonizing the planet (what I tried in my last game before I realized just how many there are) or would even that have little effect?

Edit:Kaysaar, if you plan to add new weapons/ships/hullmods in any meaningful quantity please have a separate Type (Ex: Remant, High-tech, 14th Battlegroup) just so they can be more easily found if playing with other mods as well. My hullmod tabs is already flooded and from what I've seen my mod list is quite tame compared so some people on these forums.
« Last Edit: February 03, 2024, 02:05:34 AM by muratira »
Logged

Tairanos

  • Ensign
  • *
  • Posts: 8
    • View Profile
Re: [0.97a] Ashes of The Domain
« Reply #903 on: February 03, 2024, 06:27:06 AM »

I am having trubles upgrading my refineries and mining to the advanced versions, is there any kind of restriction to  upgrading them? I can,t find a prompt anywhere to what i need to upgrade them
Logged

immortalartisan

  • Ensign
  • *
  • Posts: 29
    • View Profile
Re: [0.97a] Ashes of The Domain
« Reply #904 on: February 03, 2024, 10:39:38 PM »

So i just asked about the TaSC tech tree integration ive had both it and AoTD during a run yet i seemed to start with all the terraforming structures and no research does this integration need to enabled somewhere and if so does it need to be done prior to a run? I only just now noticed the integration when checking mods that had updated
Logged

Reiconn

  • Ensign
  • *
  • Posts: 4
    • View Profile
Re: [0.97a] Ashes of The Domain
« Reply #905 on: February 04, 2024, 02:00:54 AM »

Just got CTD when trying to cancel heavy industry upgrade

Code
10421045 [Thread-3] ERROR com.fs.starfarer.combat.CombatMain  - java.lang.NullPointerException
java.lang.NullPointerException
at data.kaysaar.aotd.vok.campaign.econ.listeners.AoTDIndButtonsListener$1.customDialogConfirm(AoTDIndButtonsListener.java:177)
at com.fs.starfarer.ui.newui.A.dismiss(Unknown Source)
at com.fs.starfarer.ui.newui.A.advance(Unknown Source)
at com.fs.starfarer.ui.interfacenew.advanceImpl(Unknown Source)
at com.fs.starfarer.ui.thissuper.advance(Unknown Source)
at com.fs.starfarer.campaign.CampaignState.advance(Unknown Source)
at com.fs.starfarer.BaseGameState.traverse(Unknown Source)
at com.fs.state.AppDriver.begin(Unknown Source)
at com.fs.starfarer.combat.CombatMain.main(Unknown Source)
at com.fs.starfarer.StarfarerLauncher.o00000(Unknown Source)
at com.fs.starfarer.StarfarerLauncher$1.run(Unknown Source)
at java.lang.Thread.run(Unknown Source)
Logged

muratira

  • Ensign
  • *
  • Posts: 5
    • View Profile
Re: [0.97a] Ashes of The Domain
« Reply #906 on: February 04, 2024, 08:04:07 AM »

So i just asked about the TaSC tech tree integration ive had both it and AoTD during a run yet i seemed to start with all the terraforming structures and no research does this integration need to enabled somewhere and if so does it need to be done prior to a run? I only just now noticed the integration when checking mods that had updated
It is literally stated in the compatibility tab "Currently not Supported for 2.0 Version of VOK". As in, past version 2.0 (Vaults of Knowledge), where the tech-tree UI was overhauled, TaSC is not compatible. At least as of writing this reply. You can still build them, they are simply not present in the tech tree right now.
Logged

Uther Phobos

  • Commander
  • ***
  • Posts: 215
    • View Profile
Re: [0.97a] Ashes of The Domain
« Reply #907 on: February 04, 2024, 03:57:24 PM »

So i just asked about the TaSC tech tree integration ive had both it and AoTD during a run yet i seemed to start with all the terraforming structures and no research does this integration need to enabled somewhere and if so does it need to be done prior to a run? I only just now noticed the integration when checking mods that had updated
It is literally stated in the compatibility tab "Currently not Supported for 2.0 Version of VOK". As in, past version 2.0 (Vaults of Knowledge), where the tech-tree UI was overhauled, TaSC is not compatible. At least as of writing this reply. You can still build them, they are simply not present in the tech tree right now.
Well, the version that was bundled with the beta actually worked just fine... but that is for .96. There's no integration for .97 so far.
Logged

bankman1234

  • Ensign
  • *
  • Posts: 6
    • View Profile
Re: [0.97a] Ashes of The Domain
« Reply #908 on: February 06, 2024, 10:49:42 AM »

I can't seems to add a special item to industry (Autonomous mantle bore to fracking etc.)
 was this an intended feature?
Logged

Shogouki

  • Captain
  • ****
  • Posts: 414
    • View Profile
Re: [0.97a] Ashes of The Domain
« Reply #909 on: February 06, 2024, 10:52:36 PM »

I can't seems to add a special item to industry (Autonomous mantle bore to fracking etc.)
 was this an intended feature?

I believe so.  I believe the intended purpose was for Fracking to allow better yields without needing the mantle bore so that the bore could be saved for the two top tier special mining types as they consume a bore in order to be built.
Logged

xenapan

  • Ensign
  • *
  • Posts: 22
    • View Profile
Re: [0.97a] Ashes of The Domain
« Reply #910 on: February 07, 2024, 08:48:58 AM »

I started a new run with 0.97, AOTD (all of it) and nex, RAT, stardust ventures and a bunch of QOL mods (so no new factions other than exo)
and the game ended with hegemony conquest victory in 209 (they started with annexing sindria - the planet pretty much out the gate) not sure if this is normal? (I've only been playing with nex+qol stuff up to this point and AOTD is the only big new mod I've added and heg never steamrolled this hard or fast but I also decided not to actively fight them this time cause I wanted to play with the stardust venture stuff + explore for AOTD stuff. 
Logged

mstachife

  • Ensign
  • *
  • Posts: 30
    • View Profile
Re: [0.97a] Ashes of The Domain
« Reply #911 on: February 07, 2024, 12:24:56 PM »

I started a new run with 0.97, AOTD (all of it) and nex, RAT, stardust ventures and a bunch of QOL mods (so no new factions other than exo)
and the game ended with hegemony conquest victory in 209 (they started with annexing sindria - the planet pretty much out the gate) not sure if this is normal? (I've only been playing with nex+qol stuff up to this point and AOTD is the only big new mod I've added and heg never steamrolled this hard or fast but I also decided not to actively fight them this time cause I wanted to play with the stardust venture stuff + explore for AOTD stuff.

That sounds completely like a Nex issue. Factions don't start even sending expeditions out until 210 by default I'm pretty sure.
« Last Edit: February 07, 2024, 10:15:21 PM by mstachife »
Logged

Re-Search-er

  • Ensign
  • *
  • Posts: 23
    • View Profile
Re: [0.97a] Ashes of The Domain
« Reply #912 on: February 07, 2024, 08:18:10 PM »

I have a small question for you, would you like me to help proofread your text? There's quite a bit of "Engrish" and it's kind of jarring. Not as bad as say, Celestial Mount Circle in that i have no idea what tf the ship systems do, but it breaks immersion.
Logged

Ryder

  • Ensign
  • *
  • Posts: 5
    • View Profile
Re: [0.97a] Ashes of The Domain
« Reply #913 on: February 08, 2024, 10:04:31 PM »

i tried executing runcode AoTDMainResearchManager.getInstance().getResearchProjectFromRepo("aotd_nanoforge_restoration").setCurrentlyOngoing(false);

but it told me unknown type or variable AOTDMAinReseachmanager

i am using v2.0.9 Aotd Society mod
Logged

GemAye

  • Ensign
  • *
  • Posts: 13
    • View Profile
Re: [0.97a] Ashes of The Domain
« Reply #914 on: February 09, 2024, 01:00:42 AM »

Virtue of Society, version checker keeps reporting there's a new version out (1.08) and that I have version 1.07 installed when in fact I do have version 1.08 installed.
Am I missing something?
Before updating I always remove the old version first.
Logged
Pages: 1 ... 59 60 [61] 62 63 ... 87